//
//  Shader.fsh
//  moto
//
//  Created by Renato on 02/05/16.
//

varying mediump vec4 ColorOut;
varying mediump vec2 TexCoordOut;

uniform bool UsePointSmoothing;
uniform bool UseColor;

uniform mediump vec4 GlobalColor;
uniform sampler2D Texture;

void main(void) {
    if (UsePointSmoothing) {
        // the equation is sqrt(dot(gl_PointCoord - 0.5, gl_PointCoord - 0.5) > 0.5)
        if (dot(gl_PointCoord - 0.5, gl_PointCoord - 0.5) > 0.25)
            discard;
    }
    
    if (UseColor) {
        gl_FragColor = ColorOut;
    } else {
        gl_FragColor = GlobalColor * texture2D(Texture, TexCoordOut);
    }
}